#ifndef _JB_DATA_H_
#define _JB_DATA_H_

#include <glib.h>

G_BEGIN_DECLS

typedef enum {
        INVALID_DATA_ID                 = 0x00000000,
        NET_WRITE_REQ                   = 0x00010001,
        NET_WRITE_RES                   = 0x00010002,
        NET_WRITE_NOTIFY                = 0x00010003,
        FLASH_WRITE_REQ                 = 0x00020001,
        FLASH_WRITE_RES                 = 0x00020002,
        FLASH_WRITE_NOTIFY              = 0x00020003,
        DEVICE_LIST_REQ                 = 0x00030001,
        DEVICE_LIST_RES                 = 0x00030002,
        UPDATE_PROG_REQ                 = 0x00040001,
        UPDATE_PROG_RES                 = 0x00040002,
        UPDATE_PROG_NOTIFY              = 0x00040003,
        MEMORY_SIZE_REQ                 = 0x00050001,
        MEMORY_SIZE_RES                 = 0x00050002,
        GET_TRANS_RATE_REQ              = 0x00060001,
        GET_TRANS_RATE_RES              = 0x00060002,
        SET_TRANS_RATE_REQ              = 0x00070001,
        SET_TRANS_RATE_RES              = 0x00070002,
        FLASH_DATA_REQ                  = 0x00080001,
        FLASH_DATA_RES                  = 0x00080002,
        GET_FIRM_VERSION_REQ            = 0x00090001,
        GET_FIRM_VERSION_RES            = 0x00090002,
        FLASH_READ_REQ                  = 0x000A0001,
        FLASH_READ_RES                  = 0x000A0002,
} JBDataID;

typedef struct {
	JBDataID      dataID;
	unsigned long version;
	unsigned long sequence;
} JBDataHeader;

G_END_DECLS

#endif /* _JB_DATA_H_ */
